// smiley.js

// D3 code to create a smiley face with a big smile
const svg = d3
  .select('body')
  .append('svg')
  .attr('width', 200)
  .attr('height', 200);

// Draw face (circle)
svg
  .append('circle')
  .attr('cx', 100)
  .attr('cy', 100)
  .attr('r', 80)
  .attr('fill', 'yellow');

// Draw eyes (circles)
svg
  .append('circle')
  .attr('cx', 70)
  .attr('cy', 70)
  .attr('r', 10)
  .attr('fill', 'black');

svg
  .append('circle')
  .attr('cx', 130)
  .attr('cy', 70)
  .attr('r', 10)
  .attr('fill', 'black');

// Draw big smile (arc)
const bigSmileArc = d3
  .arc()
  .innerRadius(40)
  .outerRadius(90)
  .startAngle(Math.PI / 3)
  .endAngle((2 * Math.PI) / 3);

svg
  .append('path')
  .attr('d', bigSmileArc)
  .attr('transform', 'translate(100, 120)')
  .attr('fill', 'black');
